#include <stdio.h>

#define GTF_PV 0
#define GTF_OuP 2
#define GTF_FIRMWARE_VERSION 122
#define GTF_OPERATING_HOURS  161
#define GTF_BAUDRATE         24
#define GTF_SETPOINT         27
#define GTF_POWER            106

uint16_t gtf_firmware_version(uint8_t address);
void gtf_init(uint8_t addr);
uint16_t gtf_read_register(uint8_t address, uint8_t reg);
int8_t gtf_write_register(uint8_t address, uint8_t reg, uint16_t value);
int8_t gtf_read_coil(uint8_t address, uint8_t coil);
int8_t gtf_write_coil(uint8_t address, uint8_t coil, uint8_t val);
